Error 500 and php-php-gettext

Bug #1647018 reported by mateddy on 2016-12-03
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
phpmyadmin (Ubuntu)
Undecided
Unassigned

Bug Description

Package installed:
Ubuntu 16.10
phpmyadmin 4:4-.6.4+dfsg1-1
apache2 2.4.18-2ubuntu4
php-gettext 1.0.11-4
php-php-gettext 1.0.11-4

Problem:
http://localhost/phpmyadmin/ returns an error 500.

Apache error.log:
[Sat Dec 03 13:18:42.574321 2016] [:error] [pid 25359] [client 192.168.1.1:61630] PHP Warning: require_once(): open_basedir restriction in effect. File(/usr/share/php/php-php-gettext/gettext.inc) is not within the allowed path(s): (/usr/share/phpmyadmin/:/etc/phpmyadmin/:/var/lib/phpmyadmin/:/usr/share/php/php-gettext/:/usr/share/javascript/:/usr/share/php/tcpdf/:/usr/share/doc/phpmyadmin/:/usr/share/php/phpseclib/:/usr/share/doc/) in /usr/share/phpmyadmin/libraries/common.inc.php on line 77
[Sat Dec 03 13:18:42.574445 2016] [:error] [pid 25359] [client 192.168.1.1:61630] PHP Warning: require_once(/usr/share/php/php-php-gettext/gettext.inc): failed to open stream: Operation not permitted in /usr/share/phpmyadmin/libraries/common.inc.php on line 77
[Sat Dec 03 13:18:42.574480 2016] [:error] [pid 25359] [client 192.168.1.1:61630] PHP Fatal error: require_once(): Failed opening required '/usr/share/php/php-gettext/gettext.inc' (include_path='.') in /usr/share/phpmyadmin/libraries/common.inc.php on line 77

Solution:
sed -i "s/php-gettext/php-php-gettext/g" /etc/apache2/conf-enabled/phpmyadmin.conf
(Apache2 split config files)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in phpmyadmin (Ubuntu):
status: New → Confirmed
Ivnitsky Andrey (ivnitsky-a) wrote :

Same problem

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers